org.apache.lucene.codecs.lucene50

## Class Lucene50PostingsReader

- java.lang.Object
- - org.apache.lucene.codecs.PostingsReaderBase
  - - org.apache.lucene.codecs.lucene50.Lucene50PostingsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable

      public final class Lucene50PostingsReader
      extends PostingsReaderBase

  Concrete class that reads docId(maybe frq,pos,offset,payloads) list with postings format.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene50PostingsReader(SegmentReadState state)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()` Checks consistency of this reader.
    `void` | `close()`
    `void` | `decodeTerm(long[] longs, DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute)` Actually decode metadata for next term
    `ImpactsEnum` | `impacts(FieldInfo fieldInfo, BlockTermState state, int flags)` Return a `ImpactsEnum` that computes impacts with `scorer`.
    `void` | `init(IndexInput termsIn, SegmentReadState state)` Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.
    `BlockTermState` | `newTermState()` Return a newly created empty TermState
    `PostingsEnum` | `postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)` Must fully consume state, since after this call that TermState may be reused.
    `long` | `ramBytesUsed()` Return the memory usage of this object in bytes.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### Lucene50PostingsReader

          public Lucene50PostingsReader(SegmentReadState state)
                                 throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### init

          public void init(IndexInput termsIn,
                           SegmentReadState state)
                    throws IOException

      Description copied from class: `PostingsReaderBase`
      Performs any initialization, such as reading and verifying the header from the provided terms dictionary `IndexInput`.
      Specified by:
        `init` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### newTermState

          public BlockTermState newTermState()

      Description copied from class: `PostingsReaderBase`
      Return a newly created empty TermState
      Specified by:
        `newTermState` in class `PostingsReaderBase`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### decodeTerm

          public void decodeTerm(long[] longs,
                                 DataInput in,
                                 FieldInfo fieldInfo,
                                 BlockTermState _termState,
                                 boolean absolute)
                          throws IOException

      Description copied from class: `PostingsReaderBase`
      Actually decode metadata for next term
      Specified by:
        `decodeTerm` in class `PostingsReaderBase`
      Throws:
        `IOException`
      See Also:
        `PostingsWriterBase.encodeTerm(long[], org.apache.lucene.store.DataOutput, org.apache.lucene.index.FieldInfo, org.apache.lucene.codecs.BlockTermState, boolean)`

    - #### postings

          public PostingsEnum postings(FieldInfo fieldInfo,
                                       BlockTermState termState,
                                       PostingsEnum reuse,
                                       int flags)
                                throws IOException

      Description copied from class: `PostingsReaderBase`
      Must fully consume state, since after this call that TermState may be reused.
      Specified by:
        `postings` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### impacts

          public ImpactsEnum impacts(FieldInfo fieldInfo,
                                     BlockTermState state,
                                     int flags)
                              throws IOException

      Description copied from class: `PostingsReaderBase`
      Return a `ImpactsEnum` that computes impacts with `scorer`.
      Specified by:
        `impacts` in class `PostingsReaderBase`
      Throws:
        `IOException`
      See Also:
        `PostingsReaderBase.postings(FieldInfo, BlockTermState, PostingsEnum, int)`

    - #### ramBytesUsed

          public long ramBytesUsed()

      Description copied from interface: `Accountable`
      Return the memory usage of this object in bytes. Negative values are illegal.

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Description copied from class: `PostingsReaderBase`
      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Specified by:
        `checkIntegrity` in class `PostingsReaderBase`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.